#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Archive
%define		pnam	Zip
Summary:	Archive::Zip - module for manipulation of ZIP archives
Summary(pl.UTF-8):	Archive::Zip - moduł do manipulacji archiwami ZIP
Name:		perl-Archive-Zip
Version:	1.60
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Archive/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ae7c617cdf909809b9b2210e620b03ca
URL:		http://search.cpan.org/dist/Archive-Zip/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.80
BuildRequires:	perl-Compress-Raw-Zlib >= 2.017
BuildRequires:	perl-File-Which >= 0.05
BuildRequires:	perl-IO-Compress
BuildRequires:	perl-Test-MockModule
BuildRequires:	perl-Test-Simple >= 0.88
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Archive::Zip module allows a Perl program to create, manipulate,
read, and write ZIP archive files.

%description -l pl.UTF-8
Moduł Archive::Zip udostępnia programom w Perlu możliwość tworzenia,
manipulowania, czytania i zapisywania archiwów ZIP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Archive/Zip/FAQ.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/crc32
%dir %{perl_vendorlib}/Archive/Zip
%{perl_vendorlib}/Archive/Zip/*.pm
%{perl_vendorlib}/Archive/Zip.pm
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/Archive::Zip*.3pm*
%changelog
* Thu May 24 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Archive-Zip.git;a=log;h=master

* Thu May 24 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7bd44b3
- up to 1.60

* Sat Apr 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 289fe81
- updated test BRs

* Wed Mar 25 2015 Adam Osuchowski <adwol@pld-linux.org> a416a6e
- up to 1.46

* Fri Dec 06 2013 Jan Rękorajski <baggins@pld-linux.org> 9b67f57
- updated to 1.34
- updated BRs

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 1c30287
- files cleanup

* Tue Jan 04 2011 shadzik <shadzik@pld-linux.org> 3bc440a
- rel 2

* Sun Sep 06 2009 amateja <amateja@pld-linux.org> 929d61f
- updated to 1.30

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 8d74b26
- updated to 1.26

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8c2e897
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> df05ab8
- converted to UTF-8

* Thu Dec 21 2006 Jakub Bogusz <qboosh@pld-linux.org> b2c7cfd
- updated to 1.18, release 1

* Sun Jan 22 2006 Maciej Pijanka <agaran@pld-linux.org> b79e46b
- up to 1.16 rel 0.1

* Fri Oct 28 2005 hawk <hawk@pld-linux.org> 0ea9160
- release 3 (2 went to Ra)

* Mon May 30 2005 Jakub Bogusz <qboosh@pld-linux.org> 75167fc
- unified bcond header

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 2130546
- formatting

* Mon Nov 01 2004 Adam Gołębiowski <adamg@pld-linux.org> 7ea7c7a
- updated to 1.14

* Thu Sep 02 2004 misi3k <misi3k@pld-linux.org> d21f928
- updated to 1.13

* Sun Jul 11 2004 Adam Gołębiowski <adamg@pld-linux.org> 2b8716c
- updated to 1.12

* Sat Jun 05 2004 radek <radek@pld-linux.org> 84c931f
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> d89445f
- fixed perl-devel BR

